-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
-- Script gnr le 14/1/2006 - SGBD cible : MySql version 4
-- Gnration d'un script SQL  partir d'une base Access V 1.0 - Pierre Loisel - CERTA
-- > Les n auto pour des attributs non cl primaire ont t transforms en INTEGER.
-- > Les tables gnres sont de type InnoDb.
-- > Les cls trangres ne sont gres que si MySql gre les tables InnoDb.
-- > Le jeu de caractres utilis est LATIN-1.
-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
set names 'latin1';
create table CLASSE(CODECLASSE VARCHAR(1) not null,LIBELLECLASSE VARCHAR(50),primary key(CODECLASSE)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into CLASSE(CODECLASSE,LIBELLECLASSE) values('1','Comptes de capitaux');
insert into CLASSE(CODECLASSE,LIBELLECLASSE) values('2','Comptes d\'immobilisations');
insert into CLASSE(CODECLASSE,LIBELLECLASSE) values('3','Comptes de stocks et en-cours');
insert into CLASSE(CODECLASSE,LIBELLECLASSE) values('4','Comptes de tiers');
insert into CLASSE(CODECLASSE,LIBELLECLASSE) values('5','Comptes financiers');
insert into CLASSE(CODECLASSE,LIBELLECLASSE) values('6','Comptes de charges');
insert into CLASSE(CODECLASSE,LIBELLECLASSE) values('7','Comptes de produits');
create table COMPTE(NROCOMPTE VARCHAR(6) not null,NOMCOMPTE VARCHAR(50) not null,CODECLASSE VARCHAR(1) not null,primary key(NROCOMPTE)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('101000','capital','1');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('140000','Provisions rglementes','1');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('150000','provisions pour risques','1');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('164000','Emprunts','1');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('215000','installations techniques, matriels et outillage','2');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('218000','Autres immobilisations corporelles','2');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('281500','Amortissement instal. tech., mat. et outil.','2');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('281800','Amortissement autre immob. corpor.','2');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('310000','Stocks de matires premires','3');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('355000','Stocks de produits finis','3');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('401001','Fournisseur Dupont','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('401002','Fournisseur Durand','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('401003','Fournisseur Duval','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('403000','Fournisseurs effets  payer','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('411001','Client Pierre','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('411002','Client Paul','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('411003','Client Jacques','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('413000','Clients effet  recevoir','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('445600','Taxes sur le CA dductibles','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('445700','Taxes sur le CA collectes','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('478000','Autres comptes transitoires','4');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('503000','Actions','5');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('512000','Banques','5');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('530000','Caisse','5');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('601000','Achats stocks - mat. Premires et fournitures','6');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('606000','Achats non stocks','6');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('613000','Locations','6');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('616000','Primes d\'assurances','6');
insert into COMPTE(NROCOMPTE,NOMCOMPTE,CODECLASSE) values('701000','Vente de produits finis','7');
create table ECRITURE(NROOPERATION INT not null,NROCOMPTE VARCHAR(6) not null,MONTANTDEBIT FLOAT,MONTANTCREDIT FLOAT,primary key(NROCOMPTE,NROOPERATION)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'101000',null,1000000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'164000',null,350000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'215000',1000000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'218000',300000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'281500',null,150000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'281800',null,60000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'310000',400000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'355000',250000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'401001',null,150000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(1,'401001',null,2392);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(14,'401001',2392,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'401002',null,100000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(2,'401002',null,1196);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'401003',null,400000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'403000',null,420000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'411001',50000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(6,'411001',3588,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(11,'411001',5980,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(12,'411001',null,3588);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(16,'411001',null,5980);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'411002',150000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(9,'411002',2990,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(15,'411002',null,2990);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'411003',120000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(7,'411003',4784,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(10,'411003',8372,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(13,'411003',null,4784);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(17,'411003',null,8372);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'413000',100000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(1,'445600',392,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(2,'445600',196,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(4,'445600',274.4,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(6,'445700',null,588);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(7,'445700',null,784);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(9,'445700',null,490);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(10,'445700',null,1372);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(11,'445700',null,980);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'478000',9000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'503000',50000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(3,'503000',2500,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'512000',200000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(3,'512000',null,2500);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(4,'512000',null,1674.4);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(5,'512000',null,500);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(12,'512000',3588,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(13,'512000',4784,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(14,'512000',null,2392);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(15,'512000',2990,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(16,'512000',5980,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(17,'512000',8372,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(0,'530000',1000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(8,'530000',null,520);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(1,'601000',2000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(2,'601000',1000,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(8,'606000',520,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(4,'613000',1400,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(5,'616000',500,null);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(6,'701000',null,3000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(7,'701000',null,4000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(9,'701000',null,2500);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(10,'701000',null,7000);
insert into ECRITURE(NROOPERATION,NROCOMPTE,MONTANTDEBIT,MONTANTCREDIT) values(11,'701000',null,5000);
create table JOURNAL(CODEJOURNAL VARCHAR(3) not null,NOMJOURNAL VARCHAR(20) not null,primary key(CODEJOURNAL)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into JOURNAL(CODEJOURNAL,NOMJOURNAL) values('ACH','achats');
insert into JOURNAL(CODEJOURNAL,NOMJOURNAL) values('AN',' nouveau');
insert into JOURNAL(CODEJOURNAL,NOMJOURNAL) values('BAN','banque');
insert into JOURNAL(CODEJOURNAL,NOMJOURNAL) values('CAI','caisse');
insert into JOURNAL(CODEJOURNAL,NOMJOURNAL) values('DIV','divers');
insert into JOURNAL(CODEJOURNAL,NOMJOURNAL) values('OD','opration diverses');
insert into JOURNAL(CODEJOURNAL,NOMJOURNAL) values('VEN','ventes');
create table OPERATION(NROOPERATION INT not null,CODEJOURNAL VARCHAR(3) not null,LIBELLEOPERATION VARCHAR(100) not null,DATEOPERATION DATETIME not null,BROUILLARDREEL VARCHAR(50),primary key(NROOPERATION)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(0,'AN','reprise des  nouveau de l\'exercice 2004','2005-1-2','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(1,'ACH','Achat de mat. 1res au fournisser Dupont','2005-1-3','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(2,'ACH','Achat de mat. 1res au fourniseur Durand','2005-1-3','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(3,'BAN','Acquisitions d\'actions','2005-1-10','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(4,'BAN','Locations verses  des tiers','2005-1-10','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(5,'BAN','Primes d\'assurances verses  des tiers','2005-1-15','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(6,'VEN','vente de produits finis  Pierre','2005-1-20','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(7,'VEN','Vente de produit fini  Jacques','2005-1-20','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(8,'CAI','Achat de timbres','2005-1-25','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(9,'VEN','vente de produit finis  Paul','2005-1-25','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(10,'VEN','vente de produits finis  jacques','2005-2-2','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(11,'VEN','ventes de produits  pierre','2005-2-2','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(12,'BAN','Rglement du client pierre','2005-2-10','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(13,'BAN','Rglement du client jacques','2005-2-10','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(14,'BAN','rglement au fournisseur Dupont','2005-2-10','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(15,'BAN','Rglement du client Paul','2005-2-15','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(16,'BAN','Rglement du client Pierre','2005-2-15','Br');
insert into OPERATION(NROOPERATION,CODEJOURNAL,LIBELLEOPERATION,DATEOPERATION,BROUILLARDREEL) values(17,'BAN','Rglement du client jacques','2005-2-15','Br');
alter table COMPTE add foreign key (CODECLASSE) references CLASSE(CODECLASSE) on update cascade;
alter table ECRITURE add foreign key (NROCOMPTE) references COMPTE(NROCOMPTE) on delete cascade on update cascade;
alter table ECRITURE add foreign key (NROOPERATION) references OPERATION(NROOPERATION) on delete cascade on update cascade;
alter table OPERATION add foreign key (CODEJOURNAL) references JOURNAL(CODEJOURNAL) on update cascade;
commit;
